/* Reset & Base */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Baloo 2", sans-serif;
  font-weight: 300;
}

body {
  font-family: "Baloo 2", sans-serif;
  padding-top: 100px;
}

html,
body {
  overflow-x: hidden;
}

.cloud-bg {
  background: url("Images/Bground.webp") no-repeat top center / cover;
  width: 100%;
  height: 1100px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}

/* Main Heading */
.main-heading {
  color: #f5f9fe;
  background-color: #3498db;
  padding: 5px 30px;
  font-size: 2.2rem;
  font-weight: 700;
  border-radius: 20px;
  width: 100%;
  max-width: 300px;
  margin: 0 auto;
  text-align: center;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

/* Section Styles */
.section {
  width: 80%;
  margin: 3rem auto;
}

.section:not(:first-child) {
  content-visibility: auto;
  contain-intrinsic-size: 900px;
}

.section-content {
  background-color: #eee;
  padding: 1rem;
  border-radius: 10px;
  text-align: center;
  color: #fff;
}

.section-content h2 {
  font-size: 2.2rem;
  font-weight: 700;
}

.section-content p {
  font-size: 1.2rem;
  margin-top: 0.5rem;
}

.blue .section-content {
  background: #00a8f3;
}

.red .section-content {
  background: #e74c3c;
}

.yellow .section-content {
  background: #f1c40f;
}

.green .section-content {
  background: #2ecc71;
}

/* Gallery */
.gallery {
  width: 100%;
  display: grid;
  gap: 1.2rem;
  margin-top: 1.2rem;
  grid-template-columns: repeat(4, 1fr);
}

.gallery img {
  width: 100%;
  height: 250px;
  aspect-ratio: 3 / 2;
  object-fit: cover;
  border-radius: 8px;
  display: block;
  border: 2px solid #ccc;
  background-color: #f6f6f6;
}

/* Navigation */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  /* padding: 1rem 0; */
}

.navbar {
  /* max-width: 1200px; */
  margin: 0 auto;
  padding: 0 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  background-color: white;
}

.logo {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.logo img {
  height: 80px;
  width: 140px;
}

.tagline {
  font-size: 0.75rem;
  color: #fff;
}

nav {
  display: flex;
  gap: 2rem;
  font-family: 'Baloo 2';
}

nav a {
  text-decoration: none;
  font-size: 1rem;
  color: #00aaff;
  transition: color 0.3s;
}

nav a:hover {
  color: #0077b6;
}

nav a.contact {
  color: #ffca28;
}

.hamburger {
  font-size: 2rem;
  color: #00aaff;
  display: none;
  background: none;
  border: none;
  cursor: pointer;
}

.mobile-menu {
  display: none;
  flex-direction: column;
  padding: 1rem;
  background-color: rgba(255, 255, 255, 0.95);
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.mobile-menu a {
  padding: 0.5rem 1rem;
  color: #009be0;
  text-decoration: none;
}

.mobile-menu a.contact {
  color: #ffca28;
}

@media (max-width: 1200px) {
  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  nav {
    display: none;
  }

  .hamburger {
    display: block;
    margin-right: 30px;
  }

  .mobile-menu.show {
    display: flex;
    margin-top: 50px;
  }

  .tagline {
    color: #333;
  }
}

@media (max-width: 768px) {
  nav {
    display: none;
  }

  .hamburger {
    display: block;
  }

  .mobile-menu.show {
    display: flex;
    margin-top: 50px;
  }

  .tagline {
    color: #333;
  }
}

@media (max-width: 600px) {
  .cloud-bg {
    height: 250px;
  }

  .main-heading {
    font-size: 2rem;
  }

  .gallery img {
    height: 200px;
  }
}

@media (max-width: 576px) {
  .gallery {
    grid-template-columns: 1fr;
  }
}

@media (min-width: 601px) and (max-width: 800px) {
  .cloud-bg {
    height: 400px;
  }

}

@media (min-width: 801px) and (max-width: 1200px) {
  .cloud-bg {
    height: 600px;
  }

}

@media (min-width: 1201px) and (max-width: 1400px) {
  .cloud-bg {
    height: 800px;
  }

}

@media (min-width: 1401px) {
  .cloud-bg {
    height: 1000px;
  }

}